Bug 12568 - Improve visibility of successful renewal via opac
Summary: Improve visibility of successful renewal via opac
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 12677
  Show dependency treegraph
 
Reported: 2014-07-14 12:34 UTC by Kyle M Hall
Modified: 2015-12-03 22:11 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 12568 - Improve visibility of successful renewal via opac (4.11 KB, patch)
2014-07-14 12:35 UTC, Kyle M Hall
Details | Diff | Splinter Review
Demonstration Video (1.04 MB, application/x-shockwave-flash)
2014-07-21 12:31 UTC, Kyle M Hall
Details
Bug 12568 - Improve visibility of successful renewal via opac (4.17 KB, patch)
2014-07-23 17:12 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 12568 [QA Followup] - Use ':' as separator instead of '|' (1.19 KB, patch)
2014-07-25 11:53 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 12568 - Improve visibility of successful renewal via opac (4.33 KB, patch)
2014-07-28 06:14 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 12568 [QA Followup] - Use ':' as separator instead of '|' (1.25 KB, patch)
2014-07-28 06:14 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2014-07-14 12:34:17 UTC
Currently, when a patron renews an item via the opac, the only feedback the patron receives when a renewal is successful is an updated value for the due date of the item. This subtle indication of success may go unnoticed by some patrons. We should add a more prominent way to indicate an item was renewed successfully.
Comment 1 Kyle M Hall 2014-07-14 12:35:44 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2014-07-14 18:07:00 UTC
This doesn't work for me. After I submit some renewals and the page reloads I don't see any messages.
Comment 3 Cathi Wiggins 2014-07-18 21:33:34 UTC
I don't think we need more messages to appear on the screen that then disappear or are ignored, the fact that the renewal was successful just needs to be more clear on the patron's summary tab in the OPAC or the patron's Check Out tab in the Staff Client with the text saying 'RENEWED' instead of 'NOT RENEWABLE'. Also if there must be text below that, then could it say just '1 renewal remaining' or '0 renewal remaining' instead of '1 of 1...' or '0 of 1...' which is confusing and not helpful.
Comment 4 Kyle M Hall 2014-07-21 12:31:12 UTC
Created attachment 29926 [details]
Demonstration Video

Not sure what's going wrong for you. I just applied the patch to a fresh install and made this video. No changes to the patch were needed.
Comment 5 sandboxes@biblibre.com 2014-07-23 17:12:36 UTC
Patch tested with a sandbox, by Cathi Wiggins <cwiggins@ci.arcadia.ca.us>
Comment 6 sandboxes@biblibre.com 2014-07-23 17:12:59 UTC Comment hidden (obsolete)
Comment 7 Katrin Fischer 2014-07-24 20:08:01 UTC
I am sorry, but the new message is not showing up for me, I have double checked: Patch is applied, looking at bootstrap, looking at English templates... I don't see where this is going wrong.
Comment 8 Katrin Fischer 2014-07-24 20:44:30 UTC
Asked Bernardo to give it a try too - he can't see the new message either. Please take a look.
Comment 9 Bernardo Gonzalez Kriegel 2014-07-24 21:06:13 UTC
Problem seems to be related with '|' to concat/split itemnumbers,
Changing that to '_' or ':' works

perl -e ' use Data::Dumper; $a="10_20"; @b = split ("_", $a) ; print Dumper \@b;'
$VAR1 = [
          '10',
          '20'
        ];

perl -e ' use Data::Dumper; $a="10"; @b = split ("_", $a) ; print Dumper \@b;'
$VAR1 = [
          '10'
        ];


perl -e ' use Data::Dumper; $a="10|20"; @b = split ("|", $a) ; print Dumper \@b;'
$VAR1 = [
          '1',
          '0',
          '|',
          '2',
          '0'
        ];

-------------------> BAD !


perl -e ' use Data::Dumper; $a="10:20"; @b = split (":", $a) ; print Dumper \@b;'
$VAR1 = [
          '10',
          '20'
        ];

Now, when fixed the button/message is a bit large and ugly, that's another problem :)
Comment 10 Kyle M Hall 2014-07-25 11:53:55 UTC Comment hidden (obsolete)
Comment 11 Kyle M Hall 2014-07-25 11:57:20 UTC
(In reply to Bernardo Gonzalez Kriegel from comment #9)
> Problem seems to be related with '|' to concat/split itemnumbers,
> Changing that to '_' or ':' works

Thanks for finding that out! Followup attached!

> 
> Now, when fixed the button/message is a bit large and ugly, that's another
> problem :)

Well, the idea *is* to make the renewal very prominent ; ) This is also the standard bootstrap style alert which we have been preferring in the bootstrap theme.
Comment 12 Bernardo Gonzalez Kriegel 2014-07-25 12:06:18 UTC
(In reply to Kyle M Hall from comment #11)
> Well, the idea *is* to make the renewal very prominent ; ) This is also the
> standard bootstrap style alert which we have been preferring in the
> bootstrap theme.

Yes, and it looks better on a screen as wide as that of your video :)
Comment 13 Katrin Fischer 2014-07-28 06:14:02 UTC
Created attachment 30181 [details] [review]
[PASSED QA] Bug 12568 - Improve visibility of successful renewal via opac

Currently, when a patron renews an item via the opac, the only feedback
the patron receives when a renewal is successful is an updated value for
the due date of the item. This subtle indication of success may go
unnoticed by some patrons. We should add a more prominent way to
indicate an item was renewed successfully.

Test Plan:
1) Apply this patch
2) From the OPAC, renew some items
3) Note the "Renewed!" message in the "Renew" column of the checkouts table

Signed-off-by: Cathi Wiggins <cwiggins@ci.arcadia.ca.us>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Passes tests and QA script.
Makes successful renewals more visible to the user in the OPAC.
Comment 14 Katrin Fischer 2014-07-28 06:14:16 UTC
Created attachment 30182 [details] [review]
[PASSED QA] Bug 12568 [QA Followup] - Use ':' as separator instead of '|'

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Comment 15 Chris Cormack 2014-07-29 05:42:53 UTC
Pushed to MM_OPAC/bug_12568
Comment 16 Tomás Cohen Arazi 2014-07-31 15:05:49 UTC
Patches pushed to master.

Thanks Kyle!